summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-01-05 23:40:00 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-01-05 23:40:00 +0000
commitd71330a6abf114050893d52497a5de05c19d70e1 (patch)
tree4c7e356457fc33f3f018d3eee079b07ff207323d /ci
parentd440624d1965100d8c68c3da1466b40b3e4d8f6d (diff)
parentc475784616c60546f228fbdd75f3fe547f5079ac (diff)
Merge "Image fix to force flavor to be 39GB"
Diffstat (limited to 'ci')
-rwxr-xr-xci/deploy.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 47b82353..8b5fa539 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -458,6 +458,9 @@ EOI
# copy stack's ssh key to this users authorized keys
ssh -T ${SSH_OPTIONS[@]} "root@$UNDERCLOUD" "cat /home/stack/.ssh/id_rsa.pub" >> ~/.ssh/authorized_keys
+ # disable requiretty for sudo
+ ssh -T ${SSH_OPTIONS[@]} "root@$UNDERCLOUD" "sed -i 's/Defaults\s*requiretty//'" /etc/sudoers
+
# configure undercloud on Undercloud VM
echo "Running undercloud configuration."
echo "Logging undercloud configuration to instack:/home/stack/apex-undercloud-install.log"
@@ -537,9 +540,16 @@ openstack baremetal import --json instackenv.json
openstack baremetal configure boot
openstack baremetal introspection bulk start
echo "Configuring flavors"
-openstack flavor list | grep baremetal || openstack flavor create --id auto --ram 4096 --disk 39 --vcpus 1 baremetal
-openstack flavor list | grep control || openstack flavor create --id auto --ram 4096 --disk 39 --vcpus 1 control
-openstack flavor list | grep compute || openstack flavor create --id auto --ram 4096 --disk 39 --vcpus 1 compute
+for flavor in baremetal control compute; do
+ echo -e "${blue}INFO: Updating flavor: \${flavor}${reset}"
+ if openstack flavor list | grep \${flavor}; then
+ openstack flavor delete \${flavor}
+ fi
+ openstack flavor create --id auto --ram 4096 --disk 39 --vcpus 1 \${flavor}
+ if ! openstack flavor list | grep \${flavor}; then
+ echo -e "${red}ERROR: Unable to create flavor \${flavor}${reset}"
+ fi
+done
openstack flavor set --property "cpu_arch"="x86_64" --property "capabilities:boot_option"="local" baremetal
openstack flavor set --property "cpu_arch"="x86_64" --property "capabilities:boot_option"="local" --property "capabilities:profile"="control" control
openstack flavor set --property "cpu_arch"="x86_64" --property "capabilities:boot_option"="local" --property "capabilities:profile"="compute" compute